Bug 798503 - [FEAT] need more details of 'dict' allocation patterns
[FEAT] need more details of 'dict' allocation patterns
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-29 00:12 EST by Amar Tumballi
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa43
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-02-29 00:12:06 EST
Description of problem:
Dictionary is a heavily used data-structure in glusterfs, and knowing its usage patterns will enable us to bring in some enhancements regarding performance.

Once easy way would be to utilize the mempool for dict allocations.

Version-Release number of selected component (if applicable):
upstream
Comment 1 Anand Avati 2012-03-15 01:15:31 EDT
CHANGE: http://review.gluster.com/2851 (core: dict allocations through mem-pool) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Raghavendra Bhat 2012-05-24 05:47:09 EDT
Now dictionary is allocated from the mempool. Information about dict usage can be obtained from statedump of the process. Checked with glusterfs-3.3.0qa43.


pool-name=glusterfs:data_t
hot-count=75
cold-count=16309
padded_sizeof=52
alloc-count=2451087
max-alloc=211
pool-misses=0
max-stdalloc=0
-----=-----
pool-name=glusterfs:data_pair_t
hot-count=122
cold-count=16262
padded_sizeof=68
alloc-count=2730070
max-alloc=268
pool-misses=0
max-stdalloc=0
-----=-----
pool-name=glusterfs:dict_t
hot-count=43
cold-count=4053
padded_sizeof=84
alloc-count=537697
max-alloc=73
pool-misses=0
max-stdalloc=0

Note You need to log in before you can comment on or make changes to this bug.